WAON(1)

NAME
WaoN - a Wave-to-Notes transcriber

SYNOPSIS
waon [option ...]

DESCRIPTION
WaoN is a Wave-to-Notes transcriber, that is, a converter from sound file to midi file.

OPTIONS

-h, --help
    print this help.

-v, --version
    print version information.

OPTIONS FOR FILES

-i, --input
    input wav file (default: stdin)

-o, --output
    output mid file (default: 'output.mid')

    options -i and -o have argument '-' as stdin/stdout

-p, --patch
    patch file (default: no patch)

FFT OPTIONS

-n  sampling number from WAV in 1 step (default: 2048)

-w, --window
    0 no window
    1 parzen window
        2 welch window
            3 hanning window (default)
                4 hamming window
                    5 blackman window
                        6 steeper 30-dB/octave rolloff window

READING WAV OPTIONS

-s, --shift
    shift number from WAV in 1 step (default: 1/4 of the value in -n option)

PHASE-VOCODER OPTIONS

-nophase
    don't use phase diff to improve freq estimation. (default: use the correction)

NOTE SELECTION OPTIONS

-c, --cutoff
    log10 of cut-off ratio to scale velocity of note (default: -5.0)

-r, --relative
    log10 of cut-off ratio relative to the average. (default: no relative cutoff = absolute cutoff with the value in -c option)

-k, --peak
    peak threshold for note-on, which ranges [0,127] (default: 128 = no peak-search = search only first on-event)

-t, --top
    top note [midi #] (default: 103 = G7)

-b, --bottom
    bottom note [midi #] (default: 28 = E1)

    Here middle C (261 Hz) = C4 = midi 60. Midi # ranges [0,127].

-a, --adjust
    adjust-pitch param, which is suggested by WaoN after analysis. unit is half-note, that is, +1 is half-note up, and -0.5 is quater-note down. (default: 0)

DRUM-REMOVAL OPTIONS

-psub-n
    number of averaging bins in one side. that is, for n, (i-n,...,i,...,i+n) are averaged (default: 0)

-psub-f
    factor to the average, where the power is modified as p[i] = (sqrt(p[i]) - f * sqrt(ave[i]))^2 (default: 0.0)

OCTAVE-REMOVAL OPTIONS

-oct
    factor to the octave removal, where the power is modified as

    p[i] = (sqrt(p[i]) - f * sqrt(oct[i]))^2 (default: 0.0)

COPYRIGHT
Copyright © 1998-2008 Kengo Ichiki <kichiki@users.sourceforge.net> Web: http://waon.sourceforge.net/

SEE ALSO
waon-pv(1),gwaon(1)